libzypp 17.37.10

zypp::functor::GetLast< Tp > Struct Template Reference

Strore the last result found in the variable passed to the ctor. More...

`#include <zypp/base/Functional.h>`

## Public Member Functions
| GetLast (Tp &result_r)
bool | operator() (const Tp &val_r)

## Private Attributes
Tp * | _result

## Detailed Description

template<class Tp>
struct zypp::functor::GetLast< Tp >

Strore the last result found in the variable passed to the ctor.

Definition at line 228 of file Functional.h.

## Constructor & Destructor Documentation

## ◆ GetLast()

template<class Tp>

zypp::functor::GetLast< Tp >::GetLast | ( | Tp & | result_r | ) |
| inline

Definition at line 230 of file Functional.h.

## Member Function Documentation

## ◆ operator()()

template<class Tp>

bool zypp::functor::GetLast< Tp >::operator() | ( | const Tp & | val_r | ) |
| inline

Definition at line 233 of file Functional.h.

## Member Data Documentation

## ◆ _result

template<class Tp>

Tp* zypp::functor::GetLast< Tp >::_result
| private

Definition at line 237 of file Functional.h.

The documentation for this struct was generated from the following file:

- zypp/base/Functional.h